Subject: Re: [PATCH] [POWERPC] MPC8360E-RDK: Device tree and board file

From: Anton Vorontsov <[email-masked]>
Date: Wed, 26 Dec 2007 19:29:44 +0300

On Tue, Dec 25, 2007 at 02:44:46PM -0600, Timur Tabi wrote:
> Anton Vorontsov wrote:
> 
> >Yup. I've seen it, thanks. I'm going to test it as well. ;-)
> 
> If they work for you, please let Kumar know.

Unfortunately they don't.

root@mpc8360erdk:~# echo abc > /dev/ttyQE0

And hang. No interrupts.

After ^C:
ucc_uart e0102400.ucc: shutdown timeout

The same for ttyQE1 (just for testing I set it up to not use
Soft-UART).

The same for loopback mode.

I wonder what are the symptoms if microcode is at fault? According
to errata description, hang isn't something I should get on the
transmit attempt.

> >MPC8360E, Rev: 21. Are you aware of any known issues on this chip
> >regarding UCC serials?
> 
> Yep.  You need a microcode upload.  My patches describe everything.

Well. All I've found is: QERAMPTCH.zip ("RAM Microcode Patches for
PowerQUICC II Pro Family QE Errata"), which should fix QE_UART5 errata
for MPC8323 Rev 1.1. Can I assume it works for MPC8360 too? I've tried
it. No luck.

Here are dts entries I use:

		firmware {
			id = "Soft-UART";
			extended_modes = <0 0>;
			virtual_traps = <0 0 0 0 0 0 0 0>;
		};

		ucc@2400 {
			device_type = "serial";
			compatible = "ucc_uart";
			reg = <0x2400 0x200>;
			device-id = <5>;
			port-number = <0>;
			rx-clock-name = "brg7";
			tx-clock-name = "brg8";
			interrupts = <40>;
			interrupt-parent = <&qeic>;
			soft-uart;
		};

		ucc@3400 {
			device_type = "serial";
			compatible = "ucc_uart";
			reg = <0x3400 0x200>;
			device-id = <6>;
			port-number = <1>;
			rx-clock-name = "brg14";
			tx-clock-name = "brg14";
			interrupts = <41>;
			interrupt-parent = <&qeic>;
		};

Any ideas?

Thanks,

-- 
Anton Vorontsov
email: [email-masked]
backup email: [email-masked]
irc://irc.freenode.net/bd2